This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 740562 - Review Request: telepathy-kde-presence-applet - Plasma applet for managing your Telepathy account presence
Review Request: telepathy-kde-presence-applet - Plasma applet for managing yo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
: 730328 (view as bug list)
Depends On: telepathy-qt4 740561
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-09-22 09:20 EDT by Rex Dieter
Modified: 2011-09-26 21:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 10:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Radek Novacek 2011-09-23 03:45:25 EDT
Name: ok
License: ok
Source: wrong, should be
http://download.kde.org/unstable/telepathy-kde/%{version}/src/%{name}_%{version}.tar.bz2
instead of
http://download.kde.org/unstable/unstable/telepathy-kde/%{version}/src/%{name}_%{version}.tar.bz2
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: NA
Desktop file validations: NA
Locales: NA
Docs: ok
Devel: NA
Files: ok
Build: ok
rpmlint: please fix
./telepathy-kde-presence-applet.spec:4: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 4)
Comment 3 Kevin Kofler 2011-09-25 17:54:54 EDT
*** Bug 730328 has been marked as a duplicate of this bug. ***
Comment 4 Radek Novacek 2011-09-26 02:42:01 EDT
Thanks for fixing the issues, setting fedora-review+.
Comment 5 Rex Dieter 2011-09-26 09:03:41 EDT
New Package SCM Request
=======================
Package Name: telepathy-kde-presence-applet
Short Description: Plasma applet for managing your Telepathy account presence
Owners: jreznik rdieter
Branches: f15 f16
Comment 6 Jon Ciesla 2011-09-26 10:18:01 EDT
Git done (by process-git-requests).
Comment 7 Rex Dieter 2011-09-26 10:37:15 EDT
imported
Comment 8 Kevin Kofler 2011-09-26 19:34:11 EDT
This requires a script engine which isn't in Fedora yet:
plasma4(scriptengine-declarativeapplet)
as found by my automatic dependency extractor.

The whole applet is written in QML, it won't work at all without a script engine for QML.
Comment 9 Kevin Kofler 2011-09-26 19:44:42 EDT
What 4.7 has lists these properties instead:
X-EngineName=declarativeappletscript
X-Plasma-API=declarativeappletscript
X-KDE-PluginInfo-Name=qmlscript

Now I do think the depextractor does the wrong thing there (it prefers the X-KDE-PluginInfo-Name, but it should be using the X-Plasma-API here; that said, I think it's also broken for those properties to say different things), but still, neither of those match "declarativeapplet" which this is asking for.
Comment 10 Kevin Kofler 2011-09-26 20:54:16 EDT
So it turns out that I got confused because the dependency was incorrectly hand-typed into IRC. The dependency as listed by http://koji.fedoraproject.org/koji/rpminfo?rpmID=2716469 is on plasma4(scriptengine-declarativeappletscript), which is correct. The problem is that the autoprov script gets confused because the .desktop file for the script engine has a name != the API for some stupid reason.

I need to fix the autoprov script to ignore the name and only pick the API for script engines.
Comment 11 Kevin Kofler 2011-09-26 21:23:29 EDT
This chain build should fix the autoprov: http://koji.fedoraproject.org/koji/taskinfo?taskID=3380164
Comment 12 Kevin Kofler 2011-09-26 21:25:31 EDT
FYI, this is the relevant kde-settings commit:
https://fedorahosted.org/kde-settings/changeset/294

Note You need to log in before you can comment on or make changes to this bug.